Admin APIRefund reasons
Create Refund Reason
Create a refund reason.
AuthorizationBearer <token>
In: header
Query Parameters
fields?string
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
Request Body
application/json
label*string
The refund reason's label.
description?string
The refund reason's description.
code*string
The refund reason's code.
metadata?object
The refund reason's metadata. Can hold custom key-value pairs.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/refund-reasons" \ -H "Content-Type: application/json" \ -d '{ "label": "string", "code": "string" }'{
"refund_reason": {
"id": "string",
"label": "string",
"description": "string",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"code": "string"
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}